## PhoshAppGridButton

PhoshAppGridButton

## Functions

GtkWidget * | phosh_app_grid_button_new ()
GtkWidget * | phosh_app_grid_button_new_favorite ()
void | phosh_app_grid_button_set_app_info ()
GAppInfo * | phosh_app_grid_button_get_app_info ()
gboolean | phosh_app_grid_button_is_favorite ()
void | phosh_app_grid_button_set_mode ()
PhoshAppGridButtonMode | phosh_app_grid_button_get_mode ()

## Properties

GAppInfo * | app-info | Read / Write
gboolean | is-favorite | Read
PhoshAppGridButtonMode | mode | Read / Write

## Signals

void | app-launched | Run Last

## Types and Values

#define | PHOSH_APP_UNKNOWN_ICON
#define | PHOSH_TYPE_APP_GRID_BUTTON
enum | PhoshAppGridButtonMode
struct | PhoshAppGridButtonClass
| PhoshAppGridButton

## Object Hierarchy

        GEnum
        ╰── PhoshAppGridButtonMode
        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkFlowBoxChild
                            ╰── PhoshAppGridButton

## Implemented Interfaces

PhoshAppGridButton implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### phosh_app_grid_button_new ()

    GtkWidget *
    phosh_app_grid_button_new (GAppInfo *info);

### phosh_app_grid_button_new_favorite ()

    GtkWidget *
    phosh_app_grid_button_new_favorite (GAppInfo *info);

### phosh_app_grid_button_set_app_info ()

    void
    phosh_app_grid_button_set_app_info (PhoshAppGridButton *self,
                                        GAppInfo *info);

### phosh_app_grid_button_get_app_info ()

    GAppInfo *
    phosh_app_grid_button_get_app_info (PhoshAppGridButton *self);

### phosh_app_grid_button_is_favorite ()

    gboolean
    phosh_app_grid_button_is_favorite (PhoshAppGridButton *self);

### phosh_app_grid_button_set_mode ()

    void
    phosh_app_grid_button_set_mode (PhoshAppGridButton *self,
                                    PhoshAppGridButtonMode mode);

### phosh_app_grid_button_get_mode ()

    PhoshAppGridButtonMode
    phosh_app_grid_button_get_mode (PhoshAppGridButton *self);

## Types and Values

### PHOSH_APP_UNKNOWN_ICON

    #define PHOSH_APP_UNKNOWN_ICON "app-icon-unknown"

Icon name to use for apps we can't identify or whose icon is invalid

### PHOSH_TYPE_APP_GRID_BUTTON

    #define PHOSH_TYPE_APP_GRID_BUTTON phosh_app_grid_button_get_type()

### enum PhoshAppGridButtonMode

Display mode of a PhoshAppGridButton

#### Members

PHOSH_APP_GRID_BUTTON_LAUNCHER | Standard mode used in drawer/search etc |
PHOSH_APP_GRID_BUTTON_FAVORITES | Fovourites area (doesn't show label) |

### struct PhoshAppGridButtonClass

    struct PhoshAppGridButtonClass {
      GtkFlowBoxChildClass parent_class;
    };

### PhoshAppGridButton

    typedef struct _PhoshAppGridButton PhoshAppGridButton;

## Property Details

### The `“app-info”` property

      “app-info”                 GAppInfo *

App Info.

Owner: PhoshAppGridButton

Flags: Read / Write

### The `“is-favorite”` property

      “is-favorite”              gboolean

`TRUE` when the application is currently favorited

Owner: PhoshAppGridButton

Flags: Read

Default value: FALSE

Stability Level: Private

### The `“mode”` property

      “mode”                     PhoshAppGridButtonMode

The PhoshAppGridButtonMode of the button

In `PHOSH_APP_GRID_BUTTON_FAVORITES` the label is hidden

Owner: PhoshAppGridButton

Flags: Read / Write

Default value: PHOSH_APP_GRID_BUTTON_LAUNCHER

Stability Level: Private

## Signal Details

### The `“app-launched”` signal

    void
    user_function (PhoshAppGridButton *phoshappgridbutton,
                   GAppInfo           *arg1,
                   gpointer            user_data)

Flags: Run Last